<?php

if (!defined('XOOPS_ROOT_PATH')) exit();

require_once XOOPS_ROOT_PATH . "/class/XCube_ActionForm.class.php";
require_once XOOPS_MODULE_PATH . "/base/class/Legacy_Validator.class.php";

require_once XOOPS_MODULE_PATH . "/base/forms/SearchShowallForm.class.php";

class Legacy_SearchShowallbyuserForm extends XCube_ActionForm
{
	function prepare()
	{
		parent::prepare();
		
		//
		// Set form properties
		//
		$this->mFormProperties['uid'] =& new XCube_IntProperty('uid');
		$this->mFormProperties['mid'] =& new XCube_IntProperty('mid');
		$this->mFormProperties['start'] =& new XCube_IntProperty('start');
		
		//
		// Set field properties
		//
		$this->mFieldProperties['uid'] =& new XCube_FieldProperty($this);
		$this->mFieldProperties['uid']->setDependsByArray(array('required'));
		$this->mFieldProperties['uid']->addMessage('required', _MD_BASE_ERROR_REQUIRED, _MD_BASE_LANG_UID);
		
		$this->mFieldProperties['mid'] =& new XCube_FieldProperty($this);
		$this->mFieldProperties['mid']->setDependsByArray(array('required'));
		$this->mFieldProperties['mid']->addMessage('required', _MD_BASE_ERROR_REQUIRED, _MD_BASE_LANG_MID);
	}
	
	function update(&$params)
	{
		$params['uid'] = $this->get('uid');
		$params['start'] = $this->get('start');
	}
}

?>
